#!/usr/bin/perl
$|=1;
while (<>) {
chomp;
my @X = split;
my $method = $X[1];
my $uri = $X[2];

if ($method =~ m/^GET$/) {
# Youtube.
if ($uri =~ m/\.youtube\.com/) {
		print $X[0] . " OK\n";

} elsif ($uri =~ m/\.googlevideo\.com/) {
		print $X[0] . " OK\n";

} elsif ($uri =~ m/\.ytimg\.com/) {
		print $X[0] . " OK\n";

} elsif ($uri =~ m/\.vd\.aclst\.com/) {
		print $X[0] . " OK\n";

} elsif ($uri =~ m/\.akamaihd\.net/) {
		print $X[0] . " OK\n";

} elsif ($uri =~ m/\.fbcdn\.net/) {
		print $X[0] . " OK\n";

} elsif ($uri =~ m/\.dl\.playstation\.net/) {
		print $X[0] . " OK\n";

} elsif ($uri =~ m/\.gstatic\.com/) {
		print $X[0] . " OK\n";

} elsif ($uri =~ m/\.bitgravity\.com/) {
		print $X[0] . " OK\n";

} elsif ($uri =~ m/\.bitgravity\.com/) {
		print $X[0] . " OK\n";

} elsif ($uri =~ m/\.4shared\.com/) {
		print $X[0] . " OK\n";

} elsif ($uri =~ m/\.reverbnation\.com/) {
		print $X[0] . " OK\n";

} elsif ($uri =~ m/\.firedrive\.com/) {
		print $X[0] . " OK\n";

} elsif ($uri =~ m/\.bing\.net/) {
		print $X[0] . " OK\n";

} elsif ($uri =~ m/\.bing\.com/) {
		print $X[0] . " OK\n";

} elsif ($uri =~ m/\.dl\.sourceforge\.net/) {
		print $X[0] . " OK\n";

} elsif ($uri =~ m/\.filehippo\.com/) {
		print $X[0] . " OK\n";

} elsif ($uri =~ m/\.mediafire\.com/) {
		print $X[0] . " OK\n";

} elsif ($uri =~ m/\.android\.clients\.google\.com/) {
		print $X[0] . " OK\n";

} elsif ($uri =~ m/\.googleusercontent\.com/) {
		print $X[0] . " OK\n";

} elsif ($uri =~ m/\.blogspot\.com/) {
		print $X[0] . " OK\n";

} elsif ($uri =~ m/\.tiles\.virtualearth\.net/) {
		print $X[0] . " OK\n";

} elsif ($uri =~ m/speedtest/) {
		print $X[0] . " OK\n";

} elsif ($uri =~ m/\.5min\.com/) {
		print $X[0] . " OK\n";

} elsif ($uri =~ m/\.dmcdn\.net/) {
		print $X[0] . " OK\n";

} elsif ($uri =~ m/\.dailymotion\.com/) {
		print $X[0] . " OK\n";

} elsif ($uri =~ m/\.vimeo\.com/) {
		print $X[0] . " OK\n";

} elsif ($uri =~ m/\.vimeocdn\.com/) {
		print $X[0] . " OK\n";

} elsif ($uri =~ m/\.photobucket.com/) {
		print $X[0] . " OK\n";

} elsif ($uri =~ m/\.edgecastcdn\.net/) {
		print $X[0] . " OK\n";

} elsif ($uri =~ m/\.blip\.tv/) {
		print $X[0] . " OK\n";

} elsif ($uri =~ m/\.vidivodo\.com/) {
		print $X[0] . " OK\n";

} elsif ($uri =~ m/\.media\-imdb\.com/) {
		print $X[0] . " OK\n";

} elsif ($uri =~ m/\.veoh\.com/) {
		print $X[0] . " OK\n";

} elsif ($uri =~ m/\.thestaticvube\.com/) {
		print $X[0] . " OK\n";

} elsif ($uri =~ m/\.anghami\.com/) {
		print $X[0] . " OK\n";

} elsif ($uri =~ m/\.ospserver\.net/) {
		print $X[0] . " OK\n";

} elsif ($uri =~ m/\.cdn\.ea\.com/) {
		print $X[0] . " OK\n";

} elsif ($uri =~ m/\.videobash\.com/) {
		print $X[0] . " OK\n";

} elsif ($uri =~ m/\.garenanow\.com/) {
		print $X[0] . " OK\n";

} elsif ($uri =~ m/\.starhub\.com/) {
		print $X[0] . " OK\n";

} elsif ($uri =~ m/\.geo\.kaspersky\.com/) {
		print $X[0] . " OK\n";

} elsif ($uri =~ m/\.panet\.co/) {
		print $X[0] . " OK\n";

} elsif ($uri =~ m/\.wartune\.com/) {
		print $X[0] . " OK\n";

} elsif ($uri =~ m/\.aisfile\.com/) {
		print $X[0] . " OK\n";

} elsif ($uri =~ m/\.music\-clips\.net/) {
		print $X[0] . " OK\n";

} elsif ($uri =~ m/\.instagram\.com/) {
		print $X[0] . " OK\n";

} elsif ($uri =~ m/\.moborobo\.com/) {
		print $X[0] . " OK\n";

} elsif ($uri =~ m/\.xvideos\.com/) {
		print $X[0] . " OK\n";

} elsif ($uri =~ m/\.pornhub(\.phncdn)?\.com/) {
		print $X[0] . " OK\n";

} elsif ($uri =~ m/\.yjcontentdelivery\.com/) {
		print $X[0] . " OK\n";

} elsif ($uri =~ m/\.dmcdn\.net/) {
		print $X[0] . " OK\n";

} elsif ($uri =~ m/\.rncdn[0-9]+\.com/) {
		print $X[0] . " OK\n";

} elsif ($uri =~ m/\.redtubefiles\.com/) {
		print $X[0] . " OK\n";

} elsif ($uri =~ m/\.y8\.com/) {
		print $X[0] . " OK\n";

} elsif ($uri =~ m/\.cdn[0-9]+\.com/) {
		print $X[0] . " OK\n";

} elsif ($uri =~ m/\.gemscool\.com\/bs/) {
		print $X[0] . " OK\n";

} elsif ($uri =~ m/^http.*\/[0-9]+\.[0-9]+\.[0-9]+\.[0-9]+\/youku/) {
		print $X[0] . " OK\n";

} elsif ($uri =~ m/^http:\/\/[^\/]+\/depot\/[^\/]*\/chunk/) {
		print $X[0] . " OK\n";

} elsif ($uri =~ m/^http.*\.mp4vid\.com:182/) {
		print $X[0] . " OK\n";

} elsif ($uri =~ m/^http.*\.softpedia\.(com|ro)/) {
		print $X[0] . " OK\n";
		
} elsif ($uri =~ m/^http.*\.fosshub\.com/) {
		print $X[0] . " OK\n";

} elsif ($uri =~ m/^http.*\.majorgeeks\.com/) {
		print $X[0] . " OK\n";

} elsif ($uri =~ m/^http.*\.software-files-a\.cnet\.com/) {
		print $X[0] . " OK\n";

} elsif ($uri =~ m/^http.*\.turbobit\.net/) {
		print $X[0] . " OK\n";

} elsif ($uri =~ m/^http.*\.music-clips\.net/) {
		print $X[0] . " OK\n";

} elsif ($uri =~ m/^http.*\.zippyshare\.com/) {
		print $X[0] . " OK\n";

} elsif ($uri =~ m/^http.*\.sharebeast\.com/) {
		print $X[0] . " OK\n";

} elsif ($uri =~ m/^http.*\.fileswap\.com/) {
		print $X[0] . " OK\n";

} elsif ($uri =~ m/^http.*\.tusfiles\.net/) {
		print $X[0] . " OK\n";

} elsif ($uri =~ m/^http.*\.depositfiles.com/) {
		print $X[0] . " OK\n";

} elsif ($uri =~ m/^http.*\.solidfilesusercontent\.com/) {
		print $X[0] . " OK\n";

} elsif ($uri =~ m/^http.*\.last\.fm\/flp/) {
		print $X[0] . " OK\n";

} elsif ($uri =~ m/^http.*\.(soundcloud.com|llnwd.net)/) {
		print $X[0] . " OK\n";

} elsif ($uri =~ m/^http.*\.(aclst|vidtomp3|listentoyoutube)\.com/) {
		print $X[0] . " OK\n";

} elsif ($uri =~ m/^http.*\.\d+\.\d+\.\d+\/result[0-9]+/) {
		print $X[0] . " OK\n";

} elsif ($uri =~ m/^http.*(\/v3-eval-sta\/.*\.nup)/) {
		print $X[0] . " OK\n";

} elsif ($uri =~ m/^http.*\.sndcdn\.com/) {
		print $X[0] . " OK\n";

} else {
		print $X[0] ." ERR\n";
       }


} else {
		print $X[0] ." ERR\n";
       }
}

